Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli
[Java] Class GrailsScriptRunner

    java.lang.Object
      org.codehaus.groovy.grails.cli.GrailsScriptRunner

    public class GrailsScriptRunner

Handles Grails command line interface for running scripts.

Authors:
  Graeme Rocher

Since:
  0.4

Constructor Summary
`GrailsScriptRunner()`
`GrailsScriptRunner(java.lang.String grailsHome)`
`GrailsScriptRunner(BuildSettings settings)`

Method Summary
`int` | `executeCommand(java.lang.String scriptName, java.lang.String args)`
`int` | `executeCommand(java.lang.String scriptName, java.lang.String args, java.lang.String env)`
`java.io.PrintStream` | `getOut()`
`static void` | `main(String[] args)` Evaluate the arguments to get the name of the script to execute, which environment to run it in, and the arguments to pass to the script.
`void` | `setOut(java.io.PrintStream outputStream)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsScriptRunner

    public GrailsScriptRunner()

### GrailsScriptRunner

    public GrailsScriptRunner(java.lang.String grailsHome)

### GrailsScriptRunner

    public GrailsScriptRunner(BuildSettings settings)

Method Detail

### executeCommand

    public int executeCommand(java.lang.String scriptName, java.lang.String args)

### executeCommand

    public int executeCommand(java.lang.String scriptName, java.lang.String args, java.lang.String env)

### getOut

    public java.io.PrintStream getOut()

### main

    public static void main(String[] args)

  Evaluate the arguments to get the name of the script to execute, which environment to run it in, and the arguments to pass to the script. This also evaluates arguments of the form "-Dprop=value" and creates system properties from each one.
  Parameters:
    args

### setOut

    public void setOut(java.io.PrintStream outputStream)

Groovy Documentation